summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-11-13 08:10:52 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-11-13 08:10:52 +0000
commit71f42bacdd6232729bd31c9159ea72c3bcfd456c (patch)
tree48039417a62570b35159b6475cdaede3bc6dcf31 /dev-python
parenteb32a3b217c00b5bed6d50d6fcfe85b2e68aaa95 (diff)
downloadbaldeagleos-repo-71f42bacdd6232729bd31c9159ea72c3bcfd456c.tar.gz
baldeagleos-repo-71f42bacdd6232729bd31c9159ea72c3bcfd456c.tar.xz
baldeagleos-repo-71f42bacdd6232729bd31c9159ea72c3bcfd456c.zip
Adding metadata
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/google-auth/Manifest1
-rw-r--r--dev-python/google-auth/google-auth-2.14.1.ebuild58
-rw-r--r--dev-python/jupyter_core/Manifest1
-rw-r--r--dev-python/jupyter_core/jupyter_core-5.0.0.ebuild34
-rw-r--r--dev-python/meson-python/meson-python-0.10.0-r1.ebuild2
-rw-r--r--dev-python/mkdocs-material/Manifest1
-rw-r--r--dev-python/mkdocs-material/mkdocs-material-8.5.10.ebuild51
-rw-r--r--dev-python/networkx/networkx-2.8.8.ebuild2
-rw-r--r--dev-python/pillow/Manifest2
-rw-r--r--dev-python/pillow/pillow-9.1.1.ebuild118
-rw-r--r--dev-python/pillow/pillow-9.2.0.ebuild125
-rw-r--r--dev-python/pillow/pillow-9.3.0.ebuild2
-rw-r--r--dev-python/pyproject-metadata/pyproject-metadata-0.6.1.ebuild2
-rw-r--r--dev-python/python-cstruct/Manifest1
-rw-r--r--dev-python/python-cstruct/python-cstruct-5.0.ebuild33
-rw-r--r--dev-python/pythran/pythran-0.12.0-r2.ebuild2
-rw-r--r--dev-python/scipy/scipy-1.9.3.ebuild2
-rw-r--r--dev-python/sphinx/sphinx-5.2.3.ebuild2
-rw-r--r--dev-python/sphinx/sphinx-5.3.0.ebuild2
-rw-r--r--dev-python/sqlalchemy/Manifest1
-rw-r--r--dev-python/sqlalchemy/sqlalchemy-1.4.44.ebuild96
-rw-r--r--dev-python/stack_data/Manifest1
-rw-r--r--dev-python/stack_data/stack_data-0.6.1.ebuild36
-rw-r--r--dev-python/statsd/statsd-4.0.1.ebuild2
24 files changed, 323 insertions, 254 deletions
diff --git a/dev-python/google-auth/Manifest b/dev-python/google-auth/Manifest
index 10b9832e8f1e..cef87724a6af 100644
--- a/dev-python/google-auth/Manifest
+++ b/dev-python/google-auth/Manifest
@@ -1,3 +1,4 @@
DIST google-auth-2.12.0.tar.gz 209325 BLAKE2B a6f754262dd7b75796dd63f4b7a2161ba959a3103c51cacb3d5f4ba3d17efdd36e1836ce360fa108b5dbce710743bfacf3b8b054de0e235590ba15eae8f3cdf3 SHA512 59209299631b7ea7d11e6787c33a304bbed5bca2173148d8c69595fc573f8915f6e3b601ed96686568f517cbbea71e18be228874334733629fbdd030976821cb
DIST google-auth-2.13.0.tar.gz 216209 BLAKE2B 4e88062d89ca9976e0d87a93012c8ca318f9068452fde365970aab1d6ab4985aad378a038e36e0a82aca4665a196c412287a84b58c831edc9483d02fa4ed2489 SHA512 253dd17466850b20212c8cbbeb29c35dbffb2f3205867c7fdf74e400e4f2f9bf3c9ca6ffc814e5c3e9c7cc918a6cc60e696bc98c5d969761101dee4109b7018e
DIST google-auth-2.14.0.tar.gz 219265 BLAKE2B 93ba6f54e28cc8846aecc9226de07ec66762b8f757b40b5796050209a02ff758475fddd2bf82d4374804058c99b80590e5f4a390642a3ad6ca2e9348d1a6b3a1 SHA512 ae85da8335bd00dcce9e7854fa92a114f81c61687a20274058d482dc3d6bb2396d5de6c2865ad64f5c892ed9a9abf8b9f39456c1fd1760a67298ecfaf40c8163
+DIST google-auth-2.14.1.tar.gz 220079 BLAKE2B 7e0958bd0f83bb9e47e5ea191a6f90f221630c67638082fdafb2b925e44eb9c68f6b91e86ab8b7869edb70de21c3be44041ded6507c2819754b19b13bd342a0c SHA512 1aec6b7104d71f58d1bc76472b204261eb6fc3030d0ed5f523bb125a9169544bc6266a8ae4573fce28423b689f2efcf57aadafc6c21876824fc17b2a96bbed95
diff --git a/dev-python/google-auth/google-auth-2.14.1.ebuild b/dev-python/google-auth/google-auth-2.14.1.ebuild
new file mode 100644
index 000000000000..e1be3d9ce804
--- /dev/null
+++ b/dev-python/google-auth/google-auth-2.14.1.ebuild
@@ -0,0 +1,58 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10,11} )
+
+inherit distutils-r1
+
+DESCRIPTION="Google Authentication Library"
+HOMEPAGE="
+ https://github.com/googleapis/google-auth-library-python/
+ https://pypi.org/project/google-auth/
+"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+
+RDEPEND="
+ <dev-python/cachetools-6.0.0[${PYTHON_USEDEP}]
+ >=dev-python/pyasn1-0.1.7[${PYTHON_USEDEP}]
+ >=dev-python/pyasn1-modules-0.2.1[${PYTHON_USEDEP}]
+ >=dev-python/rsa-3.1.4[${PYTHON_USEDEP}]
+ dev-python/six[${PYTHON_USEDEP}]
+ !dev-python/namespace-google
+"
+BDEPEND="
+ test? (
+ dev-python/cryptography[${PYTHON_USEDEP}]
+ dev-python/flask[${PYTHON_USEDEP}]
+ dev-python/freezegun[${PYTHON_USEDEP}]
+ dev-python/grpcio[${PYTHON_USEDEP}]
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/moto[${PYTHON_USEDEP}]
+ dev-python/pyopenssl[${PYTHON_USEDEP}]
+ dev-python/pytest-localserver[${PYTHON_USEDEP}]
+ dev-python/pyu2f[${PYTHON_USEDEP}]
+ dev-python/requests[${PYTHON_USEDEP}]
+ dev-python/responses[${PYTHON_USEDEP}]
+ dev-python/urllib3[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+EPYTEST_IGNORE=(
+ # these are compatibility tests with oauth2client
+ # disable them to unblock removal of that package
+ tests/test__oauth2client.py
+)
+
+python_compile() {
+ distutils-r1_python_compile
+ find "${BUILD_DIR}" -name '*.pth' -delete || die
+}
diff --git a/dev-python/jupyter_core/Manifest b/dev-python/jupyter_core/Manifest
index dc70a441970b..c788a36895b4 100644
--- a/dev-python/jupyter_core/Manifest
+++ b/dev-python/jupyter_core/Manifest
@@ -1 +1,2 @@
DIST jupyter_core-4.11.2.tar.gz 788994 BLAKE2B a337d6974f905b3b666225f828f2026f7dd314e34411f7998b8d2981ad9623029901e5369bfe831ecfcbf3be387bb0adc7f067269537a6b2a73029f439bfe9a1 SHA512 7659b61ad5793d6e4ceba09f7d4422610ceb358cbba30e2bee7ab7910e6c03cb365fad5db8e4444f9e0fd196361d5b15370f41fb7cb13c2e551382e19d7d6b73
+DIST jupyter_core-5.0.0.tar.gz 78285 BLAKE2B 530dac61088dcbb402ffa6fd6c3e3df2238c6da438f826ddfbeb3c6f26ed4e4f0d741a2cddf801db886c24e22c74db2336e59c6223d30830a32bb38f7d7d9c3e SHA512 a587b5a0e6ceb85a842670121fe78f93a232dbdc56412c7b32b415054cf06b6028a8f4669b7e7c8a702ebbbf4873962ae4cbff2b3636f8abb75ec0ae6bdeb64d
diff --git a/dev-python/jupyter_core/jupyter_core-5.0.0.ebuild b/dev-python/jupyter_core/jupyter_core-5.0.0.ebuild
new file mode 100644
index 000000000000..5bf6c3ff58c2
--- /dev/null
+++ b/dev-python/jupyter_core/jupyter_core-5.0.0.ebuild
@@ -0,0 +1,34 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( python3_{7,8,9,10,11} )
+
+inherit distutils-r1
+
+DESCRIPTION="Core common functionality of Jupyter projects"
+HOMEPAGE="
+ https://jupyter.org/
+ https://github.com/jupyter/jupyter_core/
+ https://pypi.org/project/jupyter-core/
+"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+RDEPEND="
+ dev-python/traitlets[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ >=dev-python/ipython-4.0.1[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_sphinx docs \
+ dev-python/sphinxcontrib-github-alt
+distutils_enable_tests pytest
diff --git a/dev-python/meson-python/meson-python-0.10.0-r1.ebuild b/dev-python/meson-python/meson-python-0.10.0-r1.ebuild
index 7b35001eacaa..6e4954d2000c 100644
--- a/dev-python/meson-python/meson-python-0.10.0-r1.ebuild
+++ b/dev-python/meson-python/meson-python-0.10.0-r1.ebuild
@@ -20,7 +20,7 @@ SRC_URI="
LICENSE="MIT"
SLOT="0"
-KEYWORDS="amd64 arm arm64 ppc ppc64 ~riscv ~s390 x86"
+KEYWORDS="amd64 arm arm64 ppc ppc64 ~riscv ~s390 ~sparc x86"
RDEPEND="
>=dev-python/pyproject-metadata-0.6.1[${PYTHON_USEDEP}]
diff --git a/dev-python/mkdocs-material/Manifest b/dev-python/mkdocs-material/Manifest
index 6be76753a74b..3555965270e5 100644
--- a/dev-python/mkdocs-material/Manifest
+++ b/dev-python/mkdocs-material/Manifest
@@ -1,3 +1,4 @@
+DIST mkdocs-material-8.5.10.gh.tar.gz 10384269 BLAKE2B 3f7837b17724e93fa28a906811a8695aacba9c479a13d4568775945aee3943b9f58e017ab71fb81da8c72073a471b736ca75bf721a786309fe822f5898e4d3aa SHA512 ed186b206ffe0b17c96a33270d83ffc3c98262eb608d6889101b6949057e7059642eb83b584f4a309afff64a359ee79625c5a95be62fc37ece069e2404faa0bd
DIST mkdocs-material-8.5.2.gh.tar.gz 10262607 BLAKE2B 16fe2e9d377cf8361ddcf5bdd1f5b461783ef03a26894abd9cfe8ba3c88e4d89e5ee8da3e566b996ea1595a6600933d4140ca698f3a303e6fc4c2b32e208af1e SHA512 74066b3b85be3dc5f4380ab73a98dd07fc8430a65b6ec9a51f1513fa3f0703f3eff4567344642710bf8e91e8cf9193b552a58f865b86367f397d0c884e1849f8
DIST mkdocs-material-8.5.7.gh.tar.gz 10362881 BLAKE2B 833e05a67570f7c341681f6fcc0b54f145044ae60512aef4fc6c366022700c6f257418a502cf0fd7c8a25f4be4c37f9ca591b5063e424ab2f6ef17b3fce01129 SHA512 d47866faed2c993d3e8daca0213cf9052a2e31449c2aa968c6a4451eaf2528094fdebda1ee7c6a12f1a0c502ef1c16a2aceaf03e7ec195117391beda8535a127
DIST mkdocs-material-8.5.8.gh.tar.gz 10372291 BLAKE2B 2b97f563133c78c22d6174e3ce50afec520d0fc3fecc2651ecc348c703f19ce1fa7f77f53955e8f023dfb9a75be6d20974b3f1e6a66407405a01529bd4014923 SHA512 f3f1b025525dd7f52aa7b0026cf4bf1943a91ee15b4dd9e63f7203704141a1301627aec7f5d38b8bbe38ec159b4cfc178716838487d96609278081ce5fbc7acf
diff --git a/dev-python/mkdocs-material/mkdocs-material-8.5.10.ebuild b/dev-python/mkdocs-material/mkdocs-material-8.5.10.ebuild
new file mode 100644
index 000000000000..34922d700268
--- /dev/null
+++ b/dev-python/mkdocs-material/mkdocs-material-8.5.10.ebuild
@@ -0,0 +1,51 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( python3_{7,8,9,10,11} )
+
+DOCS_BUILDER="mkdocs"
+DOCS_DEPEND="
+ dev-python/mkdocs-material-extensions
+ dev-python/mkdocs-minify-plugin
+ dev-python/mkdocs-redirects
+"
+
+inherit distutils-r1 docs
+
+DESCRIPTION="A Material Design theme for MkDocs"
+HOMEPAGE="
+ https://github.com/squidfunk/mkdocs-material/
+ https://pypi.org/project/mkdocs-material/
+"
+SRC_URI="
+ https://github.com/squidfunk/${PN}/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~riscv ~x86"
+
+RDEPEND="
+ >=dev-python/jinja-3.0.2[${PYTHON_USEDEP}]
+ >=dev-python/markdown-3.2[${PYTHON_USEDEP}]
+ >=dev-python/mkdocs-1.3.0[${PYTHON_USEDEP}]
+ >=dev-python/pygments-2.12[${PYTHON_USEDEP}]
+ >=dev-python/pymdown-extensions-9.4[${PYTHON_USEDEP}]
+"
+
+# mkdocs-material-extensions depends on mkdocs-material creating a circular dep
+PDEPEND=">=dev-python/mkdocs-material-extensions-1.0.3[${PYTHON_USEDEP}]"
+
+PATCHES=(
+ # simplify pyproject to remove extra deps for metadata
+ "${FILESDIR}/${PN}-8.5.7-simplify-build.patch"
+)
+
+src_prepare() {
+ echo "__version__ = '${PV}'"> gentoo_version.py || die
+ distutils-r1_src_prepare
+}
diff --git a/dev-python/networkx/networkx-2.8.8.ebuild b/dev-python/networkx/networkx-2.8.8.ebuild
index 96dd02e10e41..54e5f4e50802 100644
--- a/dev-python/networkx/networkx-2.8.8.ebuild
+++ b/dev-python/networkx/networkx-2.8.8.ebuild
@@ -19,7 +19,7 @@ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="BSD"
SLOT="0"
-KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~riscv ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos"
BDEPEND="
test? (
diff --git a/dev-python/pillow/Manifest b/dev-python/pillow/Manifest
index c5393be9f468..e121da33c3f0 100644
--- a/dev-python/pillow/Manifest
+++ b/dev-python/pillow/Manifest
@@ -1,3 +1 @@
-DIST pillow-9.1.1.tar.gz 49753799 BLAKE2B 969a338f768951c340177d0590c50ba1213f48810870ac3fdbc2556c57344e356e0cf1ef080bde29bf89291adbf9f64b2dd1f950260d2ce5c0eb28d197f2dfe2 SHA512 8c05c0af6be992667d764046c6d7c189e1486d6ab987474c15e3bc8a64b9955d4c91d94b94ea46ef6d1c6f343ba424240dfa7d758c666bec40fa580728206a5f
-DIST pillow-9.2.0.gh.tar.gz 50018953 BLAKE2B 72dc1175c08276531c5949f0eb19bdce37afb25303614d489375c57aba19c5f708db7d149a033490f95848bdd6b4249dd36993205069e7f471a2efd602cb3ac4 SHA512 02926d6c88aa8bc0df05b0ecd04b9852821a6400a24c6e70b66d4092eb3174139dee116adfa94ba8b7f3df8f6725cc68b32705f308f4347153e0112d987fc5f2
DIST pillow-9.3.0.gh.tar.gz 50370806 BLAKE2B d0d4775c8b60e40560328e4f1c14055743d1a826b0ab01353075f1f48a461bcd8bf5883f18713976399f9b0f688125f3a883ea5818a359db9e540aac8895f02a SHA512 60c529d8a222a521a0c3f4254917aa3f6c5a47c7cb8930b4b9a05ef442d1a7e776018dc4ac834a9effc1342f8457898cae79820531ff430728f6c39d6297b2d7
diff --git a/dev-python/pillow/pillow-9.1.1.ebuild b/dev-python/pillow/pillow-9.1.1.ebuild
deleted file mode 100644
index 01b1f5873051..000000000000
--- a/dev-python/pillow/pillow-9.1.1.ebuild
+++ /dev/null
@@ -1,118 +0,0 @@
-# Copyright 1999-2022 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_USE_PEP517=setuptools
-PYTHON_COMPAT=( python3_{7,8,9,10,11} pypy3 )
-PYTHON_REQ_USE='tk?,threads(+)'
-
-inherit distutils-r1 toolchain-funcs virtualx
-
-MY_PN=Pillow
-MY_P=${MY_PN}-${PV}
-
-DESCRIPTION="Python Imaging Library (fork)"
-HOMEPAGE="https://python-pillow.org/"
-SRC_URI="https://github.com/python-pillow/Pillow/archive/${PV}.tar.gz -> ${P}.tar.gz"
-S="${WORKDIR}/${MY_P}"
-
-LICENSE="HPND"
-SLOT="0"
-KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~loong ~m68k ppc ppc64 ~riscv ~s390 sparc x86 ~amd64-linux ~x86-linux"
-IUSE="examples imagequant +jpeg jpeg2k lcms test tiff tk truetype webp xcb zlib"
-REQUIRED_USE="test? ( jpeg jpeg2k tiff truetype )"
-RESTRICT="!test? ( test )"
-
-DEPEND="
- imagequant? ( media-gfx/libimagequant:0 )
- jpeg? ( media-libs/libjpeg-turbo )
- jpeg2k? ( media-libs/openjpeg:2= )
- lcms? ( media-libs/lcms:2= )
- tiff? ( media-libs/tiff:0=[jpeg,zlib] )
- truetype? ( media-libs/freetype:2= )
- webp? ( media-libs/libwebp:0= )
- xcb? ( x11-libs/libxcb )
- zlib? ( sys-libs/zlib:0= )
-"
-RDEPEND="
- ${DEPEND}
- dev-python/olefile[${PYTHON_USEDEP}]
-"
-BDEPEND="
- virtual/pkgconfig
- test? (
- ${RDEPEND}
- dev-python/defusedxml[${PYTHON_USEDEP}]
- dev-python/packaging[${PYTHON_USEDEP}]
- dev-python/pytest[${PYTHON_USEDEP}]
- dev-python/pytest-timeout[${PYTHON_USEDEP}]
- || (
- media-gfx/imagemagick[png]
- media-gfx/graphicsmagick[png]
- )
- )
-"
-
-EPYTEST_DESELECT=(
- # TODO; incompatible Qt version?
- Tests/test_qt_image_qapplication.py::test_sanity
-)
-
-usepil() {
- usex "${1}" enable disable
-}
-
-python_configure_all() {
- # It's important that these flags are also passed during the install phase
- # as well. Make sure of that if you change the lines below. See bug 661308.
- cat >> setup.cfg <<-EOF || die
- [build_ext]
- disable_platform_guessing = True
- $(usepil truetype)_freetype = True
- $(usepil jpeg)_jpeg = True
- $(usepil jpeg2k)_jpeg2000 = True
- $(usepil lcms)_lcms = True
- $(usepil tiff)_tiff = True
- $(usepil imagequant)_imagequant = True
- $(usepil webp)_webp = True
- $(usepil webp)_webpmux = True
- $(usepil xcb)_xcb = True
- $(usepil zlib)_zlib = True
- EOF
-
- # setup.py won't let us add the right toolchain paths but it does
- # accept additional ones from INCLUDE and LIB so set these. You
- # wouldn't normally need these at all as the toolchain should look
- # here anyway but it doesn't for this setup.py.
- export \
- INCLUDE="${ESYSROOT}"/usr/include \
- LIB="${ESYSROOT}"/usr/$(get_libdir)
-
- # We have patched in this env var.
- tc-export PKG_CONFIG
-}
-
-src_test() {
- virtx distutils-r1_src_test
-}
-
-python_test() {
- "${EPYTHON}" selftest.py --installed || die "selftest failed with ${EPYTHON}"
- # no:relaxed: pytest-relaxed plugin make our tests fail. deactivate if installed
- epytest -p no:relaxed || die "Tests failed with ${EPYTHON}"
-}
-
-python_install() {
- python_doheader src/libImaging/*.h
- distutils-r1_python_install
-}
-
-python_install_all() {
- if use examples ; then
- docinto example
- dodoc docs/example/*
- docompress -x /usr/share/doc/${PF}/example
- fi
- distutils-r1_python_install_all
-}
diff --git a/dev-python/pillow/pillow-9.2.0.ebuild b/dev-python/pillow/pillow-9.2.0.ebuild
deleted file mode 100644
index c16a6f36b98e..000000000000
--- a/dev-python/pillow/pillow-9.2.0.ebuild
+++ /dev/null
@@ -1,125 +0,0 @@
-# Copyright 1999-2022 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_USE_PEP517=setuptools
-PYTHON_COMPAT=( python3_{7,8,9,10,11} pypy3 )
-PYTHON_REQ_USE='tk?,threads(+)'
-
-inherit distutils-r1 toolchain-funcs virtualx
-
-MY_PN=Pillow
-MY_P=${MY_PN}-${PV}
-
-DESCRIPTION="Python Imaging Library (fork)"
-HOMEPAGE="
- https://python-pillow.org/
- https://github.com/python-pillow/
- https://pypi.org/project/Pillow/
-"
-SRC_URI="
- https://github.com/python-pillow/Pillow/archive/${PV}.tar.gz
- -> ${P}.gh.tar.gz
-"
-S="${WORKDIR}/${MY_P}"
-
-LICENSE="HPND"
-SLOT="0"
-KEYWORDS="~alpha amd64 ~arm ~arm64 hppa ~ia64 ~loong ~m68k ppc ppc64 ~riscv ~s390 sparc x86 ~amd64-linux ~x86-linux"
-IUSE="examples imagequant +jpeg jpeg2k lcms test tiff tk truetype webp xcb zlib"
-REQUIRED_USE="test? ( jpeg jpeg2k tiff truetype )"
-RESTRICT="!test? ( test )"
-
-DEPEND="
- imagequant? ( media-gfx/libimagequant:0 )
- jpeg? ( media-libs/libjpeg-turbo )
- jpeg2k? ( media-libs/openjpeg:2= )
- lcms? ( media-libs/lcms:2= )
- tiff? ( media-libs/tiff:0=[jpeg,zlib] )
- truetype? ( media-libs/freetype:2= )
- webp? ( media-libs/libwebp:0= )
- xcb? ( x11-libs/libxcb )
- zlib? ( sys-libs/zlib:0= )
-"
-RDEPEND="
- ${DEPEND}
- dev-python/olefile[${PYTHON_USEDEP}]
-"
-BDEPEND="
- virtual/pkgconfig
- test? (
- ${RDEPEND}
- dev-python/defusedxml[${PYTHON_USEDEP}]
- dev-python/packaging[${PYTHON_USEDEP}]
- dev-python/pytest[${PYTHON_USEDEP}]
- dev-python/pytest-timeout[${PYTHON_USEDEP}]
- || (
- media-gfx/imagemagick[png]
- media-gfx/graphicsmagick[png]
- )
- )
-"
-
-EPYTEST_DESELECT=(
- # TODO; incompatible Qt version?
- Tests/test_qt_image_qapplication.py::test_sanity
-)
-
-usepil() {
- usex "${1}" enable disable
-}
-
-python_configure_all() {
- # It's important that these flags are also passed during the install phase
- # as well. Make sure of that if you change the lines below. See bug 661308.
- cat >> setup.cfg <<-EOF || die
- [build_ext]
- disable_platform_guessing = True
- $(usepil truetype)_freetype = True
- $(usepil jpeg)_jpeg = True
- $(usepil jpeg2k)_jpeg2000 = True
- $(usepil lcms)_lcms = True
- $(usepil tiff)_tiff = True
- $(usepil imagequant)_imagequant = True
- $(usepil webp)_webp = True
- $(usepil webp)_webpmux = True
- $(usepil xcb)_xcb = True
- $(usepil zlib)_zlib = True
- EOF
-
- # setup.py won't let us add the right toolchain paths but it does
- # accept additional ones from INCLUDE and LIB so set these. You
- # wouldn't normally need these at all as the toolchain should look
- # here anyway but it doesn't for this setup.py.
- export \
- INCLUDE="${ESYSROOT}"/usr/include \
- LIB="${ESYSROOT}"/usr/$(get_libdir)
-
- # We have patched in this env var.
- tc-export PKG_CONFIG
-}
-
-src_test() {
- virtx distutils-r1_src_test
-}
-
-python_test() {
- "${EPYTHON}" selftest.py --installed || die "selftest failed with ${EPYTHON}"
- # no:relaxed: pytest-relaxed plugin make our tests fail. deactivate if installed
- epytest -p no:relaxed || die "Tests failed with ${EPYTHON}"
-}
-
-python_install() {
- python_doheader src/libImaging/*.h
- distutils-r1_python_install
-}
-
-python_install_all() {
- if use examples ; then
- docinto example
- dodoc docs/example/*
- docompress -x /usr/share/doc/${PF}/example
- fi
- distutils-r1_python_install_all
-}
diff --git a/dev-python/pillow/pillow-9.3.0.ebuild b/dev-python/pillow/pillow-9.3.0.ebuild
index ab5722fb17c7..76f61c0d99b2 100644
--- a/dev-python/pillow/pillow-9.3.0.ebuild
+++ b/dev-python/pillow/pillow-9.3.0.ebuild
@@ -26,7 +26,7 @@ S="${WORKDIR}/${MY_P}"
LICENSE="HPND"
SLOT="0"
-KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux"
+KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~loong ~m68k ppc ppc64 ~riscv ~s390 sparc x86 ~amd64-linux ~x86-linux"
IUSE="examples imagequant +jpeg jpeg2k lcms test tiff tk truetype webp xcb zlib"
REQUIRED_USE="test? ( jpeg jpeg2k tiff truetype )"
RESTRICT="!test? ( test )"
diff --git a/dev-python/pyproject-metadata/pyproject-metadata-0.6.1.ebuild b/dev-python/pyproject-metadata/pyproject-metadata-0.6.1.ebuild
index 26b236468354..1cd9083bb978 100644
--- a/dev-python/pyproject-metadata/pyproject-metadata-0.6.1.ebuild
+++ b/dev-python/pyproject-metadata/pyproject-metadata-0.6.1.ebuild
@@ -21,7 +21,7 @@ S=${WORKDIR}/python-${P}
LICENSE="MIT"
SLOT="0"
-KEYWORDS="amd64 arm arm64 ppc ppc64 ~riscv ~s390 x86"
+KEYWORDS="amd64 arm arm64 ppc ppc64 ~riscv ~s390 ~sparc x86"
RDEPEND="
dev-python/packaging[${PYTHON_USEDEP}]
diff --git a/dev-python/python-cstruct/Manifest b/dev-python/python-cstruct/Manifest
index fe4e952644c2..c18bd47fa3ea 100644
--- a/dev-python/python-cstruct/Manifest
+++ b/dev-python/python-cstruct/Manifest
@@ -1,2 +1,3 @@
DIST python-cstruct-3.3.gh.tar.gz 27470 BLAKE2B 0403af7085622e26d5faf973bbfd0c7e35f5c51f0597abf079080800055058809a07a795bde37b796809ef13b6e1d030f36a42e45a7f4643202e37fe79df4730 SHA512 fd5d7d42f5458d37a44d5e792b56e5c4f3338ed656b248ec5f4f48e4ecb5b6be7e3561c697d67ce0c6a18fbef62ba4945e287754cb2d6a97fefd65c563d65774
DIST python-cstruct-4.0.gh.tar.gz 28370 BLAKE2B 48f750849d332d03f1d6424a6c6f5146efacb6af05c82040dd7c39c701fbebb60dbc324db395dbd918ac5b677c63d541f00de871eb47c73b3f56e8aab08d8ff1 SHA512 e8c1345f06ca23bc19bbfad569b9822369eec8957eac504191dbd34f9c4e8197a4150e73d2ae3881b7e9fbf288c81cf320872aaefec8e8e80385e4ea473242c7
+DIST python-cstruct-5.0.gh.tar.gz 36194 BLAKE2B 436998e52f2cfa714eb49c606a76b2ae72af959c58addbd2cff036a3ecd6bfea22e43da2c6c17a2d4c1328578385ecd8605afbc3dcdcb4e083125588a6020751 SHA512 f28977ae0b4db9bed0b5757f257b772089dd37844cb47455be3c406f5e5245194f98eae98520ad9888306e31a581617229b8634d0e5881c38c0e8deb84bc5ef8
diff --git a/dev-python/python-cstruct/python-cstruct-5.0.ebuild b/dev-python/python-cstruct/python-cstruct-5.0.ebuild
new file mode 100644
index 000000000000..c5401214260d
--- /dev/null
+++ b/dev-python/python-cstruct/python-cstruct-5.0.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10,11} )
+
+inherit distutils-r1
+
+DESCRIPTION="C-style structs for Python"
+HOMEPAGE="
+ https://github.com/andreax79/python-cstruct/
+ https://pypi.org/project/cstruct/
+"
+SRC_URI="
+ https://github.com/andreax79/${PN}/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+DOCS=( README.md )
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ distutils-r1_src_prepare
+
+ sed -e "/find_packages(/s@exclude=\[@&'tests', @" -i setup.py || die
+}
diff --git a/dev-python/pythran/pythran-0.12.0-r2.ebuild b/dev-python/pythran/pythran-0.12.0-r2.ebuild
index 6c671c9ea7f2..fb3eccb4df49 100644
--- a/dev-python/pythran/pythran-0.12.0-r2.ebuild
+++ b/dev-python/pythran/pythran-0.12.0-r2.ebuild
@@ -23,7 +23,7 @@ S=${WORKDIR}/${MY_P}
LICENSE="BSD"
SLOT="0"
-KEYWORDS="amd64 arm arm64 ~ppc ppc64 ~riscv ~s390 x86"
+KEYWORDS="amd64 arm arm64 ~ppc ppc64 ~riscv ~s390 ~sparc x86"
RDEPEND="
dev-libs/boost
diff --git a/dev-python/scipy/scipy-1.9.3.ebuild b/dev-python/scipy/scipy-1.9.3.ebuild
index 846c31e45433..cfd388722a8d 100644
--- a/dev-python/scipy/scipy-1.9.3.ebuild
+++ b/dev-python/scipy/scipy-1.9.3.ebuild
@@ -39,7 +39,7 @@ else
S="${WORKDIR}"/${MY_P}
if [[ ${PV} != *rc* ]] ; then
- KEYWORDS="~amd64 ~arm ~arm64 -hppa ~ppc ~ppc64 ~riscv ~s390 ~x86"
+ KEYWORDS="~amd64 ~arm ~arm64 -hppa ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
fi
fi
diff --git a/dev-python/sphinx/sphinx-5.2.3.ebuild b/dev-python/sphinx/sphinx-5.2.3.ebuild
index 552a11dc9398..944b14a51158 100644
--- a/dev-python/sphinx/sphinx-5.2.3.ebuild
+++ b/dev-python/sphinx/sphinx-5.2.3.ebuild
@@ -85,7 +85,7 @@ python_prepare_all() {
python_compile_all() {
if use doc; then
esetup.py build_sphinx
- HTML_DOCS=( "${BUILD_DIR}"/sphinx/html/. )
+ HTML_DOCS=( build/sphinx/html/. )
fi
}
diff --git a/dev-python/sphinx/sphinx-5.3.0.ebuild b/dev-python/sphinx/sphinx-5.3.0.ebuild
index babb309e1d74..ba2d1a1a5813 100644
--- a/dev-python/sphinx/sphinx-5.3.0.ebuild
+++ b/dev-python/sphinx/sphinx-5.3.0.ebuild
@@ -85,7 +85,7 @@ python_prepare_all() {
python_compile_all() {
if use doc; then
esetup.py build_sphinx
- HTML_DOCS=( "${BUILD_DIR}"/sphinx/html/. )
+ HTML_DOCS=( build/sphinx/html/. )
fi
}
diff --git a/dev-python/sqlalchemy/Manifest b/dev-python/sqlalchemy/Manifest
index ae7184d68059..9d90cc342cd9 100644
--- a/dev-python/sqlalchemy/Manifest
+++ b/dev-python/sqlalchemy/Manifest
@@ -1,3 +1,4 @@
DIST SQLAlchemy-1.4.41.tar.gz 8281227 BLAKE2B 31fb2bfcb41ceefc2c6ed70444b5d8b38a862e06899dd9b5ede7fde0b624ce9f8be766028aaf32b36983268c35e61d87ada5a597260fb97efe72bfc27ce15a71 SHA512 f03a2d4d61a108b4091a4d2ccf2bf49ea22e6c30fcbd70758f89dc3817968e7b5ffa603ce0158812fe42814cd08bbadd00079609a47765d3c534d769835a5543
DIST SQLAlchemy-1.4.42.tar.gz 8303728 BLAKE2B 8b3a4f1c0931e6182b0251b986d3efb14b032035cb9b6f86fbbd9928f69a12436944c6e5a81aca6ca50dbea76306b14ca8ef68ea36ef82c4b4531498681191a4 SHA512 113e7c5e0949d70091f74271a55722caa1597d65e2e18208691dfd3ff1753b6eec7e69da954958e6dbd34d9c78c022e73bc123d1d1536d27d24f77c044e13621
DIST SQLAlchemy-1.4.43.tar.gz 8510996 BLAKE2B 49e77ab7ac75c622981a5ba81efc75e39369d988811a514c7bda10fdddeb64a7a573a452d5afe02d3379d3f56a7f70400a898544b1c0dc995efa1edf991029af SHA512 ee26578874617d46bee8c45e5358e966dafe76d11ff3773a0ce058cfdc180642c87ead782b64e0709aa6af2f92fbcb8a4df3d5e5ce69c9ee3ed4a8583be3b802
+DIST SQLAlchemy-1.4.44.tar.gz 8516775 BLAKE2B 647a43b2c01bcf066891e6bf2247271ff051ebc0d75c2e06b04879d058aacc54dced5d1af00c9489ba515621c56bb6f358836e1658f0069295f125675956797e SHA512 ba4e022f7af77cdf099b59a7af088852d7d4e0b4c6d632a63d244f501ff0b76837e601de63619f219fe50e6d526cd13415c4e623a6127afb0a2f24b87a4c3ece
diff --git a/dev-python/sqlalchemy/sqlalchemy-1.4.44.ebuild b/dev-python/sqlalchemy/sqlalchemy-1.4.44.ebuild
new file mode 100644
index 000000000000..b0ee1b2543de
--- /dev/null
+++ b/dev-python/sqlalchemy/sqlalchemy-1.4.44.ebuild
@@ -0,0 +1,96 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10,11} pypy3 )
+PYTHON_REQ_USE="sqlite?"
+
+inherit distutils-r1 optfeature
+
+MY_PN="SQLAlchemy"
+MY_P="${MY_PN}-${PV/_beta/b}"
+
+DESCRIPTION="Python SQL toolkit and Object Relational Mapper"
+HOMEPAGE="
+ https://www.sqlalchemy.org/
+ https://pypi.org/project/SQLAlchemy/
+ https://github.com/sqlalchemy/sqlalchemy/
+"
+SRC_URI="mirror://pypi/${MY_P:0:1}/${MY_PN}/${MY_P}.tar.gz"
+S="${WORKDIR}/${MY_P}"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x64-solaris"
+IUSE="examples +sqlite test"
+
+BDEPEND="
+ test? (
+ $(python_gen_impl_dep sqlite)
+ )
+"
+
+distutils_enable_tests pytest
+
+EPYTEST_IGNORE=(
+ # hardcode call counts specific to Python versions
+ test/aaa_profiling
+)
+
+src_prepare() {
+ sed -i -e '/greenlet/d' setup.cfg || die
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # warning tests are unreliable
+ test/base/test_warnings.py
+ )
+ [[ ${EPYTHON} == pypy3 ]] && EPYTEST_DESELECT+=(
+ test/ext/test_associationproxy.py::ProxyHybridTest::test_msg_fails_on_cls_access
+ # https://github.com/sqlalchemy/sqlalchemy/issues/8762
+ test/orm/test_query.py::YieldTest_sqlite+pysqlite_3_39_4::test_yield_per_close_on_interrupted_iteration_legacy
+ )
+ if ! has_version "dev-python/greenlet[${PYTHON_USEDEP}]"; then
+ EPYTEST_DESELECT+=(
+ test/ext/asyncio/test_engine_py3k.py::TextSyncDBAPI::test_sync_driver_execution
+ test/ext/asyncio/test_engine_py3k.py::TextSyncDBAPI::test_sync_driver_run_sync
+ "test/engine/test_pool.py::PoolEventsTest::test_checkin_event_gc[False-True]"
+ "test/engine/test_pool.py::PoolEventsTest::test_checkin_event_gc[True-True]"
+ "test/engine/test_pool.py::QueuePoolTest::test_userspace_disconnectionerror_weakref_finalizer[True-_exclusions0]"
+ )
+ fi
+
+ # upstream's test suite is horribly hacky; it relies on disabling
+ # the warnings plugin and turning warnings into errors; this also
+ # means that any DeprecationWarnings from third-party plugins cause
+ # everything to explode
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ local -x PYTEST_PLUGINS=
+ # upstream automagically depends on xdist when it is importable
+ if has_version "dev-python/pytest-xdist[${PYTHON_USEDEP}]"; then
+ PYTEST_PLUGINS+=xdist.plugin
+ fi
+ epytest
+}
+
+python_install_all() {
+ if use examples; then
+ docompress -x "/usr/share/doc/${PF}/examples"
+ dodoc -r examples
+ fi
+
+ distutils-r1_python_install_all
+}
+
+pkg_postinst() {
+ optfeature "asyncio support" dev-python/greenlet
+ optfeature "MySQL support" \
+ dev-python/mysqlclient \
+ dev-python/pymysql \
+ dev-python/mysql-connector-python
+ optfeature "postgresql support" dev-python/psycopg:2
+}
diff --git a/dev-python/stack_data/Manifest b/dev-python/stack_data/Manifest
index 531a589df958..b62365eeb222 100644
--- a/dev-python/stack_data/Manifest
+++ b/dev-python/stack_data/Manifest
@@ -1,2 +1,3 @@
DIST stack_data-0.5.1.tar.gz 43435 BLAKE2B eeebca4d2d8e3c8795e05d4a058c4a7421a2669e28b476400d541c79d5d7ebb66dde16cd39e2586eafa2f653341c041351c2684440d879ed71b2adf83ea1b4d9 SHA512 b33e3bfd31d285fcdb8f6db8f3e59b6e99fcbc0b912c7be01e52b164554a5914bc8f1a7fb7e665a18fa2d164b248afeb3c6a287f8e27ab7fa44f69b75d93d375
DIST stack_data-0.6.0.tar.gz 43595 BLAKE2B 5485fbf5b332a52567d8f42dddb4ea5c01bdcab8c6f3a2ce451ac06ea165bb55fa730b0ad546b6ee04f0791c044ac240e8b840fa74644f2e90916e8b806ce31d SHA512 0fb3ab635977dfb5886efda6d9d55bea6c4bfb932528e93713fb3cf4cdb3557aa46e06bded2956e93ae2fb69c2d4bde31001f111e217db7cc1501fe9332824f2
+DIST stack_data-0.6.1.tar.gz 43747 BLAKE2B 50b8b69d30504035d210c8276be88339a3261c66ea948dc64456c39d982c920e211df5f85b7db8b9931d754b0e64d0ca3d26f9c3edad3652139095faa4f8a183 SHA512 8cb7621e2c922719081b448c452b51189e6b1d0bfb0bb0b39eebaf4f5dd9ed8812a23f71bd8cf0fdfe154bf183118626fe4e9aa06c2410ada3f7c1a5ddf4c80b
diff --git a/dev-python/stack_data/stack_data-0.6.1.ebuild b/dev-python/stack_data/stack_data-0.6.1.ebuild
new file mode 100644
index 000000000000..688fc98bc2df
--- /dev/null
+++ b/dev-python/stack_data/stack_data-0.6.1.ebuild
@@ -0,0 +1,36 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10,11} )
+
+inherit distutils-r1
+
+DESCRIPTION="Extract data from Python tracebacks for informative displays"
+HOMEPAGE="
+ https://github.com/alexmojaki/stack_data/
+ https://pypi.org/project/stack-data/
+"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+RDEPEND="
+ >=dev-python/asttokens-2.1.0[${PYTHON_USEDEP}]
+ >=dev-python/executing-1.2.0[${PYTHON_USEDEP}]
+ dev-python/pure_eval[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/cython[${PYTHON_USEDEP}]
+ dev-python/typeguard[${PYTHON_USEDEP}]
+ dev-python/littleutils[${PYTHON_USEDEP}]
+ dev-python/pygments[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
diff --git a/dev-python/statsd/statsd-4.0.1.ebuild b/dev-python/statsd/statsd-4.0.1.ebuild
index 8c8b035be8a0..6be061a23ae2 100644
--- a/dev-python/statsd/statsd-4.0.1.ebuild
+++ b/dev-python/statsd/statsd-4.0.1.ebuild
@@ -17,7 +17,7 @@ SRC_URI="mirror://pypi/${P:0:1}/${PN}/${P}.tar.gz"
LICENSE="MIT"
SLOT="0"
-KEYWORDS="~amd64 ~arm ~arm64 ~riscv ~x86 ~amd64-linux ~x86-linux"
+KEYWORDS="~amd64 ~arm arm64 ~riscv ~x86 ~amd64-linux ~x86-linux"
distutils_enable_tests pytest